package com.sxt.chat;

import java.io.DataInputStream;
import java.io.IOException;
import java.net.Socket;

public class Receive implements Runnable{
	private DataInputStream dis;
	private boolean flag;
	public Receive() {
		this.flag = true;
	}
	public Receive(Socket socket) {
		this();
		try {
			dis = new DataInputStream(socket.getInputStream());
		} catch (IOException e) {
			this.flag = false;
			e.printStackTrace();
			CloseUtil.closeAll(dis,socket);
		}
	}
	
	private String receive() {
		String str = "";
		try {
			str = dis.readUTF();
		} catch (IOException e) {
			this.flag = false;
			e.printStackTrace();
			CloseUtil.closeAll(dis);
		}
		return str;
	}
	@Override
	public void run() {
		while(flag) {
			System.out.println(this.receive());
		}
	}
}